package com.lovecoding.rabbitmq.consumer;

import com.rabbitmq.client.*;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

public class ConsumerDemo {

    public static void main(String[] args) throws IOException, TimeoutException {

        //创建一个连接
        ConnectionFactory connectionFactory = new ConnectionFactory();
        connectionFactory.setHost("localhost");
        connectionFactory.setPort(25672);
        connectionFactory.setUsername("admin");
        connectionFactory.setPassword("123456");
        Connection connection = connectionFactory.newConnection();

        //创建一个通道
        Channel channel = connection.createChannel();

        //创建一个队列
        String queueName = "testQueue";
        channel.queueDeclare( queueName, false, false, false, null );

        channel.basicConsume(queueName, new DefaultConsumer(channel){

            public void handleDelivery(String consumerTag,
                                       Envelope envelope,
                                       AMQP.BasicProperties properties,
                                       byte[] body)
                    throws IOException
            {
                System.out.println( new String( body ) );
            }

        });

    }

}
